%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-invocation
Version:          1.1.0
Release:          %mkrel 1
Summary:          JBoss Invocation API 
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-invocation

# git clone git://github.com/jbossas/jboss-invocation.git
# cd jboss-invocation/ && git archive --format=tar --prefix=jboss-invocation-1.1.0.Final/ 1.1.0.Final | xz > jboss-invocation-1.1.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-marshalling
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-classfilewriter
BuildRequires:    jboss-interceptors-1.1-api
BuildRequires:    jboss-specs-parent

Requires:         jboss-classfilewriter
Requires:         jboss-logging-tools
Requires:         jboss-marshalling
Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Invocation API

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
rm -fr %buildroot
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.1.0-1.mga2
+ Revision: 132892
- Fix BuildRequires
- Fix BuildRequires
- Fix BuildRequires
- Clean spec file

  + gil <gil>
    - imported package jboss-invocation


* Fri Aug 12 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.0-1
- Initial packaging

